﻿Imports System.Data.Entity
Imports System.Data.Entity.ModelConfiguration.Conventions
Imports FrontClass.Models

Namespace FrontClass.DAL
	Public Class FrontClassContext
		Inherits DbContext
        Public Property Steps() As DbSet(Of FrontClass.Models.Step)
        Public Property Modules() As DbSet(Of FrontClass.Models.Module)
		Public Property Courses() As DbSet(Of Course)

		Public Sub New()
			MyBase.New("DefaultConnection")
		End Sub

		Protected Overrides Sub OnModelCreating(ByVal modelBuilder As DbModelBuilder)
			modelBuilder.Conventions.Remove(Of PluralizingTableNameConvention)()
		End Sub
	End Class
End Namespace