﻿Imports System.Data.Entity
Imports System.Web.Mvc
Imports System.Web.Optimization
Imports System.Web.Routing
Imports FrontClass.DAL
Imports FrontClass.Models


Namespace FrontClass
	Public Class MvcApplication
		Inherits HttpApplication
		Public Const AdministratorRoleName As String = "Administrator"
		Public Const CourseRegistrationClaimUrn As String = "urn:FrontClass.CourseRegistration"
		Public Shared Classroom As New Classroom()

		Protected Sub Application_Start()
			AreaRegistration.RegisterAllAreas()
			FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters)
			RouteConfig.RegisterRoutes(RouteTable.Routes)
			BundleConfig.RegisterBundles(BundleTable.Bundles)

			Database.SetInitializer(Of ApplicationDbContext)(New MigrateDatabaseToLatestVersion (Of ApplicationDbContext, Models.AccountMigrations.Configuration)())

			Database.SetInitializer(Of FrontClassContext)(New MigrateDatabaseToLatestVersion (Of FrontClassContext, Migrations.Configuration)())

		End Sub

	End Class
End Namespace
