﻿Imports System.Web.Mvc
Imports FrontClass.DAL
Imports FrontClass.Filters
Imports FrontClass.Models

Namespace FrontClass.Controllers
	<EnrolmentVerificationFilter>
	Public Class ClassroomController
		Inherits Controller
		Private db As New FrontClassContext()

		Public Function Index() As ActionResult
			Return View()
		End Function

		Public Function GetCurrentStep(ByVal stepId? As Integer) As ActionResult
			' step selected
			If stepId.HasValue Then
				Dim [step] = db.Steps.Include("Module").First(Function(s) s.StepId = stepId)
				Return PartialView("_CurrentStep", [step])
			End If

			' module exists, no step selected, load default
			If MvcApplication.Classroom.CurrentStep IsNot Nothing Then
				Return PartialView("_CurrentStep", MvcApplication.Classroom.CurrentStep)
			End If

			' :o(
			Return PartialView("_NoStep")
		End Function

	End Class
End Namespace